Search
curl --request POST \
--url https://api.aryn.cloud/v1/query/search/{docset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"query_type": "lexical",
"properties_filter": "<string>",
"return_type": "doc",
"include_fields": [
"<string>"
],
"debug_info": false,
"include_element_embedding": false
}
'import requests
url = "https://api.aryn.cloud/v1/query/search/{docset_id}"
payload = {
"query": "<string>",
"query_type": "lexical",
"properties_filter": "<string>",
"return_type": "doc",
"include_fields": ["<string>"],
"debug_info": False,
"include_element_embedding": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
query_type: 'lexical',
properties_filter: '<string>',
return_type: 'doc',
include_fields: ['<string>'],
debug_info: false,
include_element_embedding: false
})
};
fetch('https://api.aryn.cloud/v1/query/search/{docset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aryn.cloud/v1/query/search/{docset_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'query_type' => 'lexical',
'properties_filter' => '<string>',
'return_type' => 'doc',
'include_fields' => [
'<string>'
],
'debug_info' => false,
'include_element_embedding' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aryn.cloud/v1/query/search/{docset_id}"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"query_type\": \"lexical\",\n \"properties_filter\": \"<string>\",\n \"return_type\": \"doc\",\n \"include_fields\": [\n \"<string>\"\n ],\n \"debug_info\": false,\n \"include_element_embedding\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aryn.cloud/v1/query/search/{docset_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"query_type\": \"lexical\",\n \"properties_filter\": \"<string>\",\n \"return_type\": \"doc\",\n \"include_fields\": [\n \"<string>\"\n ],\n \"debug_info\": false,\n \"include_element_embedding\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aryn.cloud/v1/query/search/{docset_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"query_type\": \"lexical\",\n \"properties_filter\": \"<string>\",\n \"return_type\": \"doc\",\n \"include_fields\": [\n \"<string>\"\n ],\n \"debug_info\": false,\n \"include_element_embedding\": false\n}"
response = http.request(request)
puts response.read_body{
"results": [
"<unknown>"
],
"query_embedding": [
123
],
"next_page_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query
Search
Run a search query.
POST
/
v1
/
query
/
search
/
{docset_id}
Search
curl --request POST \
--url https://api.aryn.cloud/v1/query/search/{docset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"query_type": "lexical",
"properties_filter": "<string>",
"return_type": "doc",
"include_fields": [
"<string>"
],
"debug_info": false,
"include_element_embedding": false
}
'import requests
url = "https://api.aryn.cloud/v1/query/search/{docset_id}"
payload = {
"query": "<string>",
"query_type": "lexical",
"properties_filter": "<string>",
"return_type": "doc",
"include_fields": ["<string>"],
"debug_info": False,
"include_element_embedding": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
query_type: 'lexical',
properties_filter: '<string>',
return_type: 'doc',
include_fields: ['<string>'],
debug_info: false,
include_element_embedding: false
})
};
fetch('https://api.aryn.cloud/v1/query/search/{docset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aryn.cloud/v1/query/search/{docset_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'query_type' => 'lexical',
'properties_filter' => '<string>',
'return_type' => 'doc',
'include_fields' => [
'<string>'
],
'debug_info' => false,
'include_element_embedding' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aryn.cloud/v1/query/search/{docset_id}"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"query_type\": \"lexical\",\n \"properties_filter\": \"<string>\",\n \"return_type\": \"doc\",\n \"include_fields\": [\n \"<string>\"\n ],\n \"debug_info\": false,\n \"include_element_embedding\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aryn.cloud/v1/query/search/{docset_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"query_type\": \"lexical\",\n \"properties_filter\": \"<string>\",\n \"return_type\": \"doc\",\n \"include_fields\": [\n \"<string>\"\n ],\n \"debug_info\": false,\n \"include_element_embedding\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aryn.cloud/v1/query/search/{docset_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"query_type\": \"lexical\",\n \"properties_filter\": \"<string>\",\n \"return_type\": \"doc\",\n \"include_fields\": [\n \"<string>\"\n ],\n \"debug_info\": false,\n \"include_element_embedding\": false\n}"
response = http.request(request)
puts response.read_body{
"results": [
"<unknown>"
],
"query_embedding": [
123
],
"next_page_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
